Subject: [nfsv4] [Errata Held for Document Update] RFC5661 (4712)

From: RFC Errata System <[email-masked]>
Date: Thu, 3 Sep 2020 04:11:07 -0700 (PDT)

The following errata report has been held for document update 
for RFC5661, "Network File System (NFS) Version 4 Minor Version 1 Protocol". 

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid4712

--------------------------------------
Status: Held for Document Update
Type: Technical

Reported by: Trond Myklebust <[email-masked]>
Date Reported: 2016-06-16
Held by: Magnus Westerlund (IESG)

Section: 6.2.1.3.1.

Original Text
-------------
   ACE4_DELETE

      Operation(s) affected:

         REMOVE

Corrected Text
--------------
   ACE4_DELETE

      Operation(s) affected:

         REMOVE

         RENAME

Notes
-----
ACE4_DELETE on the source file may allow a rename to proceed in cases where the user does not have ACE4_DELETE_CHILD on the source directory. It may also affect the ability of the user to be able to RENAME if there is an existing file in the target directory with the target name.

AD notes based on Chuck Lever's input. 
o	The text in RFC 5661 Section 6.2.1.3.1 matches the text in RFC 7530 Section 6.2.1.3.1. Are updaed of RFC 7530 also needed for this reason?
o	Should the Notes section of the errata be added to Section 6.2.1.3.2?
o	A consideration is if there are already server implementations that reject RENAME operations in these cases, or do all server implementations permit RENAME?
o	This is held so that the issues can be addressed in rfc5661bis after further discussion.
o	Additional Editorial correction: The Discussion subsections of ACE4_DELETE and ACE4_DELETE are missing the word "how". 

--------------------------------------
RFC5661 (draft-ietf-nfsv4-minorversion1-29)
--------------------------------------
Title               : Network File System (NFS) Version 4 Minor Version 1 Protocol
Publication Date    : January 2010
Author(s)           : S. Shepler, Ed., M. Eisler, Ed., D. Noveck, Ed.
Category            : PROPOSED STANDARD
Source              : Network File System Version 4
Area                : Transport
Stream              : IETF
Verifying Party     : IESG